Subject: [TLS] Comments on draft-ietf-tls-applayerprotoneg-03

From: John Mattsson <[email-masked]>
Date: Mon, 4 Nov 2013 18:17:01 +0000

Hi, 

Some minor comments on draft-ietf-tls-applayerprotoneg-03

/John

- [Section 3.1]
"Implementations MUST ensure that an empty string is not included and that no byte strings are truncated."

How does an implementation differentiate between the byte string "spdy/10" truncated to "spdy/1" and the non-truncated string "spdy/1"?  ;)

I assume what is meant is that the implementation MUST ensure that the length of protocol_name_list is correct. But isn't that already handled by RFC5246 for both client and server (which sends a decode_error)? I suggest to reformulate or remove.

- [Section 3.2]
Seems to be an extra line break that should be removed: 

enum {
    no_application_protocol(120), (255)
} AlertDescription;

------------------------------------------------------------------------------------
JOHN MATTSSON
MSc Engineering Physics, MSc Business Administration and Economics 
Senior Researcher, Security 

Ericsson AB
Security Research
Färögatan 6
SE-164 80 Stockholm, Sweden
Phone +46 10 71 43 501
SMS/MMS +46 76 11 53 501
[email-masked]
www.ericsson.com

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer

---

From: Andrei Popov <[email-masked]>
Date: Mon, 4 Nov 2013 18:57:18 +0000

Perhaps the intent was to say that the sender needs to ensure they're sending  valid protocol IDs, but I'm not too keen on the way it's phrased either. I don't mind removing the part where it talks about truncation.

Cheers,

Andrei
________________________________________
From: [email-masked] <[email-masked]> on behalf of John Mattsson <[email-masked]>
Sent: Monday, November 04, 2013 10:17 AM
To: [email-masked]
Subject: [TLS] Comments on draft-ietf-tls-applayerprotoneg-03

Hi,

/John

- [Section 3.1]

- [Section 3.2]

enum {

Ericsson AB
Security Research
Färögatan 6

_______________________________________________
TLS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tls